#----------------------------------------------------------------------------------------------------#
# Filename: packages_install.R
# File purpose: Import extra libraries
# Note:installation of plyr on OSX 10.13.6 may require installation of 
# xcode developer tools. To address this, in Terminal run: xcode-select --install
# For more: https://apple.stackexchange.com/questions/254380/why-am-i-getting-an-invalid-active-developer-path-when-attempting-to-use-git-a
# Packages providing functions used may require additional dependencies not included
#----------------------------------------------------------------------------------------------------#

# Install Packages
packages_to_install <- list.files("./R packages/")

for(i in 1:length(packages_to_install)){
  install.packages(packages_to_install[i], repo = NULL, type = "source")
}

# cleaning up
rm(packages_to_install)